/**************
* ZeMind Studios
* Copyright 2017, ZeMind Game Studio Ltd.
* Author: Alyse Webb;
***************
Fonts
***************/

@font-face {
	font-family: Josefin Sans SemiBold;
	src: url("../fonts/josefin-sans/JosefinSans-SemiBold.ttf") format("truetype");
	font-style: normal; }

@font-face {
	font-family: Jura;
	src: url("../fonts/jura/Jura-Regular.otf") format("opentype");
	font-style: normal; }

@font-face {
	font-family: Jura Bold;
	src: url("../fonts/jura/Jura-DemiBold.otf") format("opentype");
	font-style: normal; }

@font-face {
	font-family: Hand Typewriter;
	src: url("../fonts/HandTypeWriter.ttf") format("truetype");
	font-style: normal; }

/***************/

img {
	width: 100%;
}

.loader {
	width: 30px;
}

html {
	height: 100%;
	font-family: Jura;
	overflow-x: hidden;
	overflow-y: auto;
}

body {
	min-height: 100%;
	user-select: none;
}

.full-width-container {
	width: 100%;
	max-width: 100%;
	clear: both;
	margin: 0 auto;
	position: relative;
}

.imageGrid div {
	width: 100%;
	height: 100%;
	margin: 0;
	padding: 0;
	display: block;
	position: relative;
	z-index: 3;
}

.imageGrid .description {
	position: relative;
	display: block;
	top: 0;
	text-align: center;
	width: 100%;
	height: 100%;
	background-color: none;
	opacity: 1;
	transition: 0.3s ease;
	-webkit-transition: 0.3s ease;
}

.imageGrid div h4 {
	margin-top: 0;
}

a h4 {
	cursor: pointer;
}

.bmo .imageGrid>div:nth-child(n+2) {
	margin-bottom: 20px;
}

@media (min-width: 650px) {
	.bmo .imageGrid>div:nth-child(n+2) {
		margin-bottom: 40px;
	}
	
	.imageGrid .description {
		z-index: 4;
		position: absolute;
		display: block;
		top: 0;
		text-align: center;
		width: 100%;
		height: 100%;
		background-color: rgba(153, 201, 60, 0.9);
		opacity: 0;
		transition: 0.3s ease;
		-webkit-transition: 0.3s ease;
	}

	.imageGrid div:hover .description {
		opacity: 1;
	}

	.imageGrid div h4 {
		margin-top: 30%;
		margin-bottom: 0;
	}
	
	.imageGrid .featured div h4 {
		margin-top: 15%;
		margin-bottom: 0;
	}
}

.imageGrid div p {
	text-align: center;
	color: #171717;
}

.imageGrid img {
	width: 100%;
	z-index: 3;
	display: block;
}

.imageGrid:after {
	content:"";
	display: block;
	clear:both;
}

@media (min-width: 650px) {
	.imageGrid div  {
		float: left;
	}

	.imageGrid.five div {
		width: 20%;
	}

	.imageGrid.two div {
		width: 50%;
	}
	
	.imageGrid.two div.featured {
		width: 100%;
	}

	.imageGrid div .description {
		width: 100%;
	}

}

main.black .imageGrid div {
	background-color: transparent;
}

main.black .imageGrid p {
	color: white;
}

main.black .imageGrid h4 {
	margin-top: 10px;
}

@media (min-width: 650px) {

	.imageGrid div:first-child {
		background-color: #F0F0F0;
	}

	.imageGrid div:nth-of-type(2), .imageGrid div:nth-of-type(5), .imageGrid div:nth-of-type(8), .imageGrid div:nth-of-type(12)   {
		background-color: #DCDCDC;
	}

	.imageGrid div:nth-of-type(4), .imageGrid div:nth-of-type(7), .imageGrid div:nth-of-type(10), .imageGrid div:nth-of-type(11) {
		background-color: #F0F0F0;
	}

	main.black .imageGrid .description {
		background-color: rgba(153, 201, 60, 0.9);
	}

	main.black .imageGrid p {
		color:  #171717;
	}

	main.black .imageGrid h4 {
	margin-top: 30%;
	}
}

.bigButton {
	text-align: center;
	display: block;
	margin: auto;
	background: #171717;
	color: white;
	border: none;
	font-family: Jura;
	font-size: 22px;
	margin-bottom: 1em;
	padding: 5px 20px 5px 20px;
	transition: 0.3s ease;
}

.bigButton.cta {
	text-transform: uppercase;
	padding: 5px 0 5px 0;
	border-bottom: 2px solid #99C93C;
	background: none;
	display: inline-block;
}

.bigButton.cta.right {
	text-align: right;
	float: right;
}

.bigButton.cta.left {
	text-align: left;
	float: left;
}

.inline {
	display: inline-block;
}

@media (min-width: 650px) {
	.bigButton  {
		font-size: 30px;
		padding: 5px 50px 5px 50px;
	}

	.flex {
    display: flex;
    align-items: center;
}
}

.bigButton:hover {
	background: #99C93C;
	color: #171717;
}

.bigButton.cta:hover {
	padding: 5px 20px 5px 20px;
}

.careers p, .careers h1 {
	color: #171717;
	margin-top: 40px;
}

.about .row {
	margin-bottom: 40px;
}

.about h4 {
	letter-spacing: 2px;
}

.clearfix:after {
	content: "";
	display: table;
	clear: both;
}

.flexTwo {
	order: 2;
}

/***************************
Headings, body font
**************************/

h1, h2, h3, h4 {
	color: #171717;
	font-family: Josefin Sans SemiBold;
	text-align: center;
	cursor: default;
}

h4 {
	font-weight: 400;
}

.left {
	text-align: left;
}

h1 {
	font-size: 40px;
}
.desktopLanding h1 {
	font-size: 12vw;
	line-height: 1;
	margin-bottom: 0;
}

h2 {
	font-size: 28px;
}

form h2 {
	text-align: left;
}

h3 {
	font-size: 24px;
}

.project h3 {
	text-align: left;
}

.project h2 {
	padding: 1em 0 1em 0;
}

p {
	font-size: 20px;
	font-family: Jura;
	text-align: left;
	color: #171717;
}

.ctas p {
	margin: auto;
	line-height: 1;
	font-size: 18px;
}

@media (min-width: 450px) {
	h1 {
		font-size: 40px;
	}
	h2 {
		font-size: 34px;
	}
	h3 {
		font-size: 24px;
	}
}

@media (min-width: 650px) {
	h1 {
		font-size: 50px;
	}
	.desktopLanding h1 {
		font-size: 70px;
		line-height: 1;
	}
	.ctas p {
		font-size: 20px;
		max-width: 500px;
		margin: auto
	}
	h2 {
		font-size: 34px;
	}
	h3 {
		font-size: 26px;
	}
}


@media (min-width: 950px) {
	h1 {
		font-size: 65px;
	}

	.desktopLanding h1 {
		font-size: 100px;
		line-height: 1;
	}

	.ctas p {
		font-size: 20px;
		max-width: 700px;
	}

	h2 {
		font-size: 44px;
	}

	h3 {
		font-size: 30px;
	}
}

@media (min-width: 1300px) {
	h1 {
		font-size: 72px;
	}
	.desktopLanding h1 {
		font-size: 130px;
		line-height: 1;
	}
	.ctas p {
		font-size: 21px;
		max-width: none;
	}
}

a {
	color: #99C93C; /*zemind green*/
	text-decoration: none;
	font-family: inherit;
	font-size: 20px;
}

.center {
	text-align: center;
}

img.center {
	margin: auto;
	display: block;
}

#play_button img {
	width: 300px;
		transition: all 0.2s ease-in-out;
  	-webkit-transition: all 0.2s ease-in-out;
}

#play_button img:hover {
	transform: scale(1.05);
}

#play_button h5 {
	color: white;
}

blockquote {
	position: relative;
	padding: 0;
	margin: 0;
}

blockquote::before {
	font-family: Hand Typewriter;
	content: '\201c';
	position: absolute;
	left: -100px;
	top: -100px;
	color: rgba(0, 0, 0, 0.2);
	font-size: 800px;
	max-height: 400px;
	z-index: 1;
	-webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none;
	overflow: hidden;
}

blockquote p, blockquote h2 {
	position: relative;
	z-index: 2;
}

blockquote.simple {
	margin: 0 5rem 2.5rem 5rem;
	font-size: 22px;
	opacity: 0.6;
}

blockquote.simple::before {
	content: none;
}

.fit {
	height: 100vh;
	margin-left: 0;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.fit .row {
	width: 100%;
}

.end {
	justify-content: flex-end;
}

.fit img {
	max-width: 100%;
}

.contact {
	position: absolute;
	background: white;
	padding: 20px;
	z-index: 5;
}

.contact h2 {
	text-align: left;
	color: #171717;
}

/**************************
Backgrounds
/**************************/

.black {
	background: #171717;
	color: white;
}

.black p, .black h1, .black h2, .black h3, .black h4 {
	color: white;
}

.gbgradient {
	/* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#171717+55,99c93c+80 */
	background: #181818; /* Old browsers */
	background: -moz-linear-gradient(top,  #181818 55%, #99c93c 80%); /* FF3.6-15 */
	background: -webkit-linear-gradient(top,  #181818 55%,#99c93c 80%); /* Chrome10-25,Safari5.1-6 */
	background: linear-gradient(to bottom,  #181818 55%,#99c93c 80%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#171717', endColorstr='#99c93c',GradientType=0 ); /* IE6-9 */
}

.gbgradient p, .gbgradient h1, .gbgradient h2, .gbgradient h3, .gbgradient h4 {
	color: white;
}

.team {
	background-image: url("../img/staff/team.jpg");
	background-repeat: no-repeat;
	background-position: center 10%;
	background-size: cover;
	box-shadow: inset 0 0 0 1000px rgba(0,0,0,.7); /* from https://stackoverflow.com/questions/9182978/semi-transparent-color-layer-over-background-image */
	height: 100vh;
	min-height: 400px;
}

.careers {
	background-image: url("../img/office.jpg");
	background-repeat: no-repeat;
	background-size: cover;
	box-shadow: inset 0 0 0 1000px rgba(255, 255, 255, 0.6); /* from https://stackoverflow.com/questions/9182978/semi-transparent-color-layer-over-background-image */
}

.careers p, .careers h1, .careers h2, .careers h3, .careers h4 {
	color: #171717;
}


/**************************/

video {
	width: 100%;
	height: auto;
	display: block;
}

video.starborn {
   /* -webkit-transform: rotateZ(3deg), rotateX(90deg), rotateY(90deg); *//* Safari */
    transform: rotateZ(5deg);
}

.about video {
	padding-top: 0px;
	padding-bottom: 50px;
}

.full-width-container .container {
	padding: 0;
}

main>.container:first-child {
	padding-top: 120px;
}

main .container.map {
	padding-top: 64px;
}

.container, .full-width-container {
	position: relative;
	padding-bottom: 4em;
}

.container.reverse-padding {
	padding: 10em 0 0 0;
}

.container.no-padding, .full-width-container.no-padding {
	padding-bottom: 0;
}

.clients.container {
	padding: 0;
}

.project .container, .project .full-width-container {
	padding-bottom: 5em;
}

.about .about_title {
	padding-bottom: 3em;
}

.aboutFooter .container {
	padding-bottom: 1em;
}

@media (min-width: 650px) {

	.about video {
		padding-top: 20px;
		padding-bottom: 0px;
	}
	
	.about .buffer {
		padding-top: 0px;
		margin-bottom: 20px;
	}
	
	.project .container, .project .full-width-container  {
		padding-bottom: 8em;
	}

	.container, .full-width-container {
		padding-bottom: 6em;
	}

	.container.no-padding, .full-width-container.no-padding {
		padding-bottom: 0;
	}
}

@media (min-width: 950px) {
	.about .app_slideshow {
		padding-top: 40px;
	}
}

.team p {
	padding-bottom: 100px;
}

.clients img {
	width: 50%;
	margin: auto;
	display: block;
	margin-bottom: 20px;
}

@media (min-width: 650px) {
	.clients img {
		margin-bottom: 0px;
		width: 90%;
	}
}

.phoneFloat {
	position: relative;
	padding-top: 0px;
	padding-bottom: 0px;
}


@media (min-width: 650px) {

	.phoneFloat {
		position: absolute;
	}

	.right {
		right: 0;
		text-align: right;
	}
}

.clients .row {
	margin-bottom: 2em;
}

@media (max-width: 650px) {
	.clients .row {
		margin-bottom: 0em;
	}
	
	.clients .row img {
		margin-bottom: 30px;
	}
}

.button {
	color: #99C93C;
	font-size: 18px;
	font-family: Jura;
	text-decoration: none;
	display: block;
	text-align: center;
}

.services img {
	display: block;
	width: 140px;
	margin: auto;
	padding-bottom: 20px;
}

/***************************
Nav (adapted from: https://codepen.io/mutedblues/pen/MmPNPG)
**************************/

.nav svg {
	height: 34px;
	float: left;
}

.nav svg .st1 {
	fill: white;
}

.nav .container {
	padding-top: 1em;
	padding-bottom: 1em;
}

.nav {
  background-color: rgba(23, 23, 23, 0.98);
  position: fixed;
  width: 100%;
  z-index: 100;
  top: 0;
  transition: all 0.2s ease-in-out;
  -webkit-transition: top 0.2s ease-in-out;
}

.nav-up {
    top: -64px;
}

.nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
  overflow: hidden;
}

.nav li {
	margin: 0;
}

.nav li a {
  display: block;
  text-align: right;
  text-decoration: none;
  padding: 15px 0 15px 0;
  font-family: Jura;
  font-size: 20px;
  text-transform: uppercase;
  color: white;
  transition: 0.3s ease;
}

.nav li a:hover,
.nav .menu-btn:hover {
  color: #99C93C; /*zemind green*/
}

.nav li a.active {
	border-bottom: solid 2px #99C93C; /*zemind green*/
}

/* menu */

.nav .menu {
  clear: both;
  max-height: 0;
  transition: max-height .2s ease-out;
}

/* menu icon */

.nav .menu-icon {
  cursor: pointer;
  float: right;
  padding: auto;
  position: relative;
  user-select: none;
  top: auto;
  padding: 15px 0 15px 0;
}

.nav .menu-icon .navicon {
  background: white;
  display: block;
  height: 2px;
  position: relative;
  transition: all .2s ease-out;
  width: 18px;
}

.nav .menu-icon .navicon:before,
.nav .menu-icon .navicon:after {
  background: white;
  content: '';
  display: block;
  height: 100%;
  position: absolute;
  transition: all .2s ease-out;
  width: 100%;
}

.nav .menu-icon .navicon:before {
  top: 5px;
}

.nav .menu-icon .navicon:after {
  top: -5px;
}

/* menu btn */

.nav .menu-btn {
  display: none;
}

.nav .menu-btn:checked ~ .menu {
  max-height: 300px;
}

.nav .menu-btn:checked ~ .menu-icon .navicon {
  background: transparent;
}

.nav .menu-btn:checked ~ .menu-icon .navicon:before {
  transform: rotate(-45deg);
}

.nav .menu-btn:checked ~ .menu-icon .navicon:after {
  transform: rotate(45deg);
}

.nav .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before,
.nav .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
  top: 0;
}

@media (min-width: 950px) {
	.nav ul {
		display: flex;
	}
	.nav li {
		float: right;
		justify-content: flex-end;
		margin-left: 40px;
	}
	.nav li a {
		padding: 0;
	}
	.nav .menu {
		clear: none;
		float: right;
		max-height: none;
	}
	.nav .menu-icon {
		display: none;
	}
}

.nav.light li a {
	color: rgb(23, 23, 23);
}

.nav.light .menu-icon .navicon,
.nav.light .menu-icon .navicon:before,
.nav.light .menu-icon .navicon:after {
	background: rgb(23, 23, 23);
}

.nav.light li a:hover,
.nav.light .menu-btn:hover {
  color: #99C93C; /*zemind green*/
}

.nav.light {
	background-color: rgba(255, 255, 255, 0.95);
}

.nav.light svg .st1 {
	fill: rgb(23, 23, 23);
}

@media (min-width: 950px) {
	.nav.transparentNav {
		background-color: rgba(23, 23, 23, 0);
		transition: all 0.2s ease-in-out;
		-webkit-transition: top 0.2s ease-in-out;
	}
}


/***************************
Footer
**************************/

.city {
	width: 100%;
	height: 746px;
	background-repeat: no-repeat;
	background-size: cover;
	display: block;
	background: url('../img/skyline_sprite.png') top center;
	animation: play 1.6s steps(24) infinite;
	padding: 0;
	margin: 0 0 -15px 0;
}

@keyframes play {
   100% { background-position-y: -2400%; }
}

.absolute {
	position: absolute;
	width: 100%;
	bottom: 0;
}
footer .container {
	padding-bottom: 0;
	position: relative;
}

footer {
	padding: 2em 0 2em 0;
}

footer a .fa {
	color: white;
	font-size: 2em;
	float: right;
	transform: scale(1);
	transform-origin: 50% 50%;
	-webkit-transform-origin: 50% 50% 0;
	-webkit-transition: all .3s ease-in-out;
	transition: all .3s ease-in-out;
}

footer a .fa:hover {
	transform: scale(1.2);
}

footer p, footer p a {
	font-size: 15px;
}

/***************************
Landing Page
**************************/
.desktopLanding {
	background-color: rgba(0,0,0, 0.85);
	height: 100vh;
	width: 100%;
	mix-blend-mode: multiply;
	transition: all 0.2s;
}

.landing h1 {
	z-index: 1;
	position: relative;
}

.desktopLanding p {
	letter-spacing: 4px;
	position: static;
	margin-bottom: 15px;
}

.videoReveal {
	mix-blend-mode: hard-light;
	background-color: rgba(0,0,0, 0.3);
	transition: all 0.4s;
}

.desktopLanding .container {
	height: 40%;
	top: 0;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: flex-end;
}

.ctas {
	position: absolute;
	margin: auto;
	height: 50%;
	bottom: 0;
	width: 100%;
}

.ctas p {
	margin-bottom: 40px;
}

.landing video {
	display: none;
}

.mobileVersion {
	background-image: url("../img/demo2.gif");
	position: absolute;
	width: 100%;
	height: 100%;
	background-size: cover;
	display: block;
}


@media (min-width: 950px) {
	.desktopLanding .container {
		height: 55%;
	}
	.ctas {
		height: 44%;
	}
	.ctas p {
		margin-bottom: 80px;
	}
	.desktopLanding {
		background-color: rgba(0,0,0, 0.96);
	}
	.videoReveal {
		background-color: rgba(0,0,0, 0.3);
	}
	.landing video {
		position: absolute;
		width: 100%;
		height: 100%;
		object-fit: cover;
		display: block;
	}
	.mobileVersion {
		display: none;
	}
}

.landingButton {
	display: flex;
	flex-direction: column;
	cursor: pointer;
}

.landingButton h3 {
	cursor: pointer;
}

.landingButton.right {
	align-items: center;
}

.landingButton.left {
	align-items: center;
	margin-bottom: 1em;
}

.landingButton.left svg {
	transform: scale(-1);
}

@media (min-width: 650px) {

	.landingButton.right {
		align-items: flex-end;
	}
	
	.landingButton.left {
		align-items: flex-start;
		margin-bottom: 0;
	}

	.landingButton svg {
		clip-path: inset(0px 0px 0px 60px);
		transition: all ease-in-out 0.4s;
	}
	
	.landingButton:hover svg {
		clip-path: inset(0px 0px 0px 0px);
	}

}

.hidden {
	display: none;
}

.offScreenRight {
	transform: translate(100%);
	-webkit-transform: translate(100%);
}

.offScreenLeft {
	transform: translate(-100%);
	-webkit-transform: translate(-100%);
}

.about {
	position: absolute;
	top: 0;
	width: 100%;
}

.transition {
	-webkit-transition-duration: 600ms;
	transition-duration: 600ms;
}


/***************************
Forms
**************************/
form {
	font-family: Jura;
	font-size: 20px;
	color: white;
}

form.container {
	padding-bottom: 5em;
}

form div {
	position: relative;
}

form .row {
	margin-bottom: 2em;
}

.site {
	display: none;
}

#message {
	display: none;
	padding-top: 2em;
}

input {
	width: 100%;
	background: none;
	border: none;
	line-height: 34px;
	border-bottom: 1px solid white;
}

input:first-child {
	margin-bottom: 40px;
}

@media (min-width: 650px) {
	input:first-child {
		margin-bottom: 0;
	}
}

textarea {
	width: 100%;
	background: none;
	border: none;
	border-bottom: 1px solid white;
    resize: none;
    height: 34px;
    transition: 0.3s ease;
}

input:focus, textarea:focus, button[type=submit] {
	outline: none
}

label {
	position: absolute;
	left: 0;
	top: 0;
	cursor:text;
	transition: 0.2s ease;
	-webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none;
}

input:focus + label,  textarea:focus + label, input:valid + label, textarea:valid + label { 
  font-size: 10px;
  top: -15px;
  transition: 0.2s ease;
}

textarea:focus, textarea:valid {
	height: 96px;
}

button[type=submit] {
	border: none;
	background: none;
	transition: 0.3s ease;
	float: right;
	text-transform: uppercase;
	font-size: 18px;
}

button[type=submit]:hover {
	color: #99C93C;
}

.mapWrap {
    display: flex;
    align-items: center;
    justify-content: center;
	background-image: url("../img/toronto_map.png");
	background-size: cover;
	height: 60vw;
}

.mapWrap img {
   width: 100%;
}


/******************************/
/*********** Neurons ***********/

.background_lines {
	position: fixed;
	pointer-events: none;
	opacity: 0.7;
	top: -10%;
	width: 1000px;
	height: 3000px;
	left: 50%;           /* 50% to move to the centre */
	margin-left: -500px; /* negative of half the width to use centre x as the anchor */
}
@media (min-width: 950px) {
	.background_lines {
		width: 100vw; 
		margin-left: -50vw; /* negative of half the width to use centre x as the anchor */
	}
}

div.line {
	position: absolute;
	width: 150%;
	transform-origin: 0% 100%;
	-webkit-transform-origin: 0% 100%;
	height: 1px;
	background: #222;
}

div.line:nth-of-type(1) {
	top: 0px;
	transform: rotate(10deg);
}

div.line:nth-of-type(2) {
	top: -400px;
	transform: rotate(45deg);
}

div.line:nth-of-type(3) {
	left: 100%; /* start from right side of screen*/
	top: 100px;
	transform: rotate(170deg);
}

div.line:nth-of-type(4) {
	top: 450px;
	transform: rotate(5deg);
}

div.line:nth-of-type(5) {
	left: 100%; /* start from right side of screen*/
	top: 650px;
	transform: rotate(175deg);
}

div.line:nth-of-type(6) {
	left: 100%;
	top: 1000px;
	transform: rotate(-95deg);
}

div.line:nth-of-type(7) {
	top: 1450px;
	transform: rotate(-50deg);
}

div.line:nth-of-type(8) {
	top: 700px;
	transform: rotate(8deg);
}

.wrapper {
	position: absolute;
	width: 100%;
	height: 100%;
}

.landing .container {
	padding-bottom: 0;
}

@media (min-width: 451px) {
	.mobileLanding {
		display: none;
	}
}

.circle {
	position: absolute;
	border-radius: 50%;
	width: 10px;
	height: 10px;
	top: -5px; /* half the height so it is centred on the line*/
	left: -5px;
	background-color: #313C19;
}

@keyframes travel {
	0% { -webkit-transform: translate(0%, 0%); }
	100% { -webkit-transform: translate(100%, 100%); }
}

@keyframes colorChange {
	0% { background-color: #1f260e; }
	100% { background-color: #313C19; }
}

/*************************/
